Package org.eclipse.net4j.db.ddl.delta

# Class IDBDeltaVisitor.Filter

java.lang.Object
org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Default
org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter

All Implemented Interfaces:
  `IDBDeltaVisitor`

Direct Known Subclasses:
  `IDBDeltaVisitor.Copier`

Enclosing interface:
  IDBDeltaVisitor

public static class IDBDeltaVisitor.Filter extends IDBDeltaVisitor.Default

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`IDBDeltaVisitor.Filter.ForbiddenChangeException`
`static final class`
`IDBDeltaVisitor.Filter.Policy`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor

`IDBDeltaVisitor.Copier, IDBDeltaVisitor.Default, IDBDeltaVisitor.Filter, IDBDeltaVisitor.StopRecursion`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IDBDeltaVisitor.Filter.Policy`
`DEFAULT_POLICY`

## Constructor Summary

Constructors
Constructor
Description
`Filter()`
`Filter(IDBDeltaVisitor.Filter.Policy policy)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`added(IDBFieldDelta delta)`
`protected void`
`added(IDBIndexDelta delta)`
`protected void`
`added(IDBIndexFieldDelta delta)`
`protected void`
`added(IDBPropertyDelta<?> delta)`
`protected void`
`added(IDBSchemaDelta delta)`
`protected void`
`added(IDBTableDelta delta)`
`protected void`
`changed(IDBFieldDelta delta)`
`protected void`
`changed(IDBIndexDelta delta)`
`protected void`
`changed(IDBIndexFieldDelta delta)`
`protected void`
`changed(IDBPropertyDelta<?> delta)`
`protected void`
`changed(IDBSchemaDelta delta)`
`protected void`
`changed(IDBTableDelta delta)`
`protected void`
`doVisit(IDBFieldDelta delta)`
`protected void`
`doVisit(IDBIndexDelta delta)`
`protected void`
`doVisit(IDBIndexFieldDelta delta)`
`protected void`
`doVisit(IDBPropertyDelta<?> delta)`
`protected void`
`doVisit(IDBSchemaDelta delta)`
`protected void`
`doVisit(IDBTableDelta delta)`
`final IDBDeltaVisitor.Filter.Policy`
`getPolicy()`
`protected final boolean`
`handle(IDBDelta delta)`
`protected void`
`removed(IDBFieldDelta delta)`
`protected void`
`removed(IDBIndexDelta delta)`
`protected void`
`removed(IDBIndexFieldDelta delta)`
`protected void`
`removed(IDBPropertyDelta<?> delta)`
`protected void`
`removed(IDBSchemaDelta delta)`
`protected void`
`removed(IDBTableDelta delta)`

### Methods inherited from class org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Default

`illegalChangeKind, stopRecursion, visit, visit, visit, visit, visit, visit, visitDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_POLICY

public static final IDBDeltaVisitor.Filter.Policy DEFAULT_POLICY

## Constructor Details

### Filter

public Filter()

### Filter

public Filter(IDBDeltaVisitor.Filter.Policy policy)

## Method Details

### getPolicy

public final IDBDeltaVisitor.Filter.Policy getPolicy()

### added

protected void added(IDBSchemaDelta delta)

Overrides:
  `added` in class `IDBDeltaVisitor.Default`

### added

protected void added(IDBTableDelta delta)

Overrides:
  `added` in class `IDBDeltaVisitor.Default`

### added

protected void added(IDBFieldDelta delta)

Overrides:
  `added` in class `IDBDeltaVisitor.Default`

### added

protected void added(IDBIndexDelta delta)

Overrides:
  `added` in class `IDBDeltaVisitor.Default`

### added

protected void added(IDBIndexFieldDelta delta)

Overrides:
  `added` in class `IDBDeltaVisitor.Default`

### added

protected void added(IDBPropertyDelta<?> delta)

Overrides:
  `added` in class `IDBDeltaVisitor.Default`

### removed

protected void removed(IDBSchemaDelta delta)

Overrides:
  `removed` in class `IDBDeltaVisitor.Default`

### removed

protected void removed(IDBTableDelta delta)

Overrides:
  `removed` in class `IDBDeltaVisitor.Default`

### removed

protected void removed(IDBFieldDelta delta)

Overrides:
  `removed` in class `IDBDeltaVisitor.Default`

### removed

protected void removed(IDBIndexDelta delta)

Overrides:
  `removed` in class `IDBDeltaVisitor.Default`

### removed

protected void removed(IDBIndexFieldDelta delta)

Overrides:
  `removed` in class `IDBDeltaVisitor.Default`

### removed

protected void removed(IDBPropertyDelta<?> delta)

Overrides:
  `removed` in class `IDBDeltaVisitor.Default`

### changed

protected void changed(IDBSchemaDelta delta)

Overrides:
  `changed` in class `IDBDeltaVisitor.Default`

### changed

protected void changed(IDBTableDelta delta)

Overrides:
  `changed` in class `IDBDeltaVisitor.Default`

### changed

protected void changed(IDBFieldDelta delta)

Overrides:
  `changed` in class `IDBDeltaVisitor.Default`

### changed

protected void changed(IDBIndexDelta delta)

Overrides:
  `changed` in class `IDBDeltaVisitor.Default`

### changed

protected void changed(IDBIndexFieldDelta delta)

Overrides:
  `changed` in class `IDBDeltaVisitor.Default`

### changed

protected void changed(IDBPropertyDelta<?> delta)

Overrides:
  `changed` in class `IDBDeltaVisitor.Default`

### doVisit

protected void doVisit(IDBSchemaDelta delta)

### doVisit

protected void doVisit(IDBTableDelta delta)

### doVisit

protected void doVisit(IDBFieldDelta delta)

### doVisit

protected void doVisit(IDBIndexDelta delta)

### doVisit

protected void doVisit(IDBIndexFieldDelta delta)

### doVisit

protected void doVisit(IDBPropertyDelta<?> delta)

### handle

protected final boolean handle(IDBDelta delta)

Overrides:
  `handle` in class `IDBDeltaVisitor.Default`